package com.socklabs.whoisthat;

import com.socklabs.whoisthat.configuration.*;
import org.springframework.web.WebApplicationInitializer;
import org.springframework.web.context.ContextLoaderListener;
import org.springframework.web.context.support.AnnotationConfigWebApplicationContext;
import org.springframework.web.filter.DelegatingFilterProxy;
import org.springframework.web.servlet.DispatcherServlet;

import javax.servlet.*;
import java.util.EnumSet;

/**
 * Created by IntelliJ IDEA.
 * User: ngerakines
 * Date: 2/19/12
 * Time: 6:34 PM
 * To change this template use File | Settings | File Templates.
 */
public class WebAppInitializer implements WebApplicationInitializer {

	@Override
	public void onStartup(ServletContext servletContext) throws ServletException {
		AnnotationConfigWebApplicationContext applicationContext = new AnnotationConfigWebApplicationContext();
		applicationContext.getEnvironment().setActiveProfiles("production", "embedded");
		applicationContext.register(
				AppConfig.class, WebMvcConfig.class, SpringConfig.class, DataManagerConfig.class, SecurityConfig.class, StandaloneDataConfig.class
		);

		// spring security
		DelegatingFilterProxy delegatingFilterProxy = new DelegatingFilterProxy("springSecurityFilterChain", applicationContext);
		FilterRegistration fr = servletContext.addFilter("springSecurityFilterChain", delegatingFilterProxy);
		fr.addMappingForUrlPatterns(EnumSet.of(DispatcherType.REQUEST, DispatcherType.FORWARD), true, "/*");

		servletContext.addListener(new ContextLoaderListener(applicationContext));

		ServletRegistration.Dynamic dispatcher = servletContext.addServlet("dispatcher", new DispatcherServlet(applicationContext));
		dispatcher.setLoadOnStartup(1);
		dispatcher.addMapping("/*");
	}
}
