package com.socklabs.whoisthat.configuration;

import com.socklabs.whoisthat.mvc.AccountManager;
import com.socklabs.whoisthat.mvc.AccountManagerImpl;
import com.socklabs.whoisthat.mvc.EntityManager;
import com.socklabs.whoisthat.mvc.EntityManagerImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.jdbc.core.JdbcTemplate;

import javax.sql.DataSource;

/**
 * A configuration class that creates beans managers (service and repository).
 * @author ngerakines
 * @since 2/19/12
 */
@Configuration
public class DataManagerConfig {

	@Autowired
	private DataSource dataSource;

	@Bean
	public JdbcTemplate jdbcTemplate() {
		return new JdbcTemplate(dataSource);
	}

	@Bean
	public AccountManager accountManager() {
		return new AccountManagerImpl();
	}

	@Bean
	public EntityManager entityManager() {
		return new EntityManagerImpl();
	}
}
