package com.socklabs.whoisthat.configuration;

import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;
import org.springframework.context.annotation.PropertySource;

/**
 * The production application configuration class. This class is imported by the AppConfig class when the "production"
 * profile is set. That profile is activated during bootup of the web app initializer.
 *
 * Make note that the listed property file is marked in the .gitignore file and will not be saved to git. This is done
 * to allow you to have local/deployed production settings with facebook/twitter/github keys.
 *
 * @author ngerakines
 * @since 2/25/12
 */
@Configuration
@Profile("production")
@PropertySource({"classpath:social-production.properties"})
public class ProductionAppConfig {
}
