package com.socklabs.whoisthat.mvc;

import com.socklabs.whoisthat.mvc.model.AliasForm;
import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

/**
 * Package/Class com.socklabs.whoisthat.mvc
 *
 * @author ngerakines
 * @since 2/25/12
 */
public class AliasValidator implements Validator {
	@Override
	public boolean supports(Class<?> aClass) {
		return AliasForm.class.isAssignableFrom(aClass);
	}

	@Override
	public void validate(Object o, Errors errors) {
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "entity", "field.required");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "alias", "field.required");
	}
}