package com.socklabs.whoisthat.mvc;

import com.socklabs.whoisthat.mvc.model.RegistrationForm;
import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

/**
 * Created by IntelliJ IDEA.
 * User: ngerakines
 * Date: 2/19/12
 * Time: 6:36 PM
 * To change this template use File | Settings | File Templates.
 */
public class RegistrationValidator implements Validator {
	@Override
	public boolean supports(Class<?> aClass) {
		return RegistrationForm.class.isAssignableFrom(aClass);
	}

	@Override
	public void validate(Object o, Errors errors) {
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "password", "field.required");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "email", "field.required");

		RegistrationForm registrationForm = (RegistrationForm) o;
		String password = registrationForm.getPassword();
		if (password.length() < 5) {
			errors.rejectValue("password", "password.length");
		}
	}
}
