package com.socklabs.whoisthat.mvc.controller;

import com.socklabs.whoisthat.mvc.EntityManager;
import com.socklabs.whoisthat.mvc.NoteValidator;
import com.socklabs.whoisthat.mvc.RegistrationValidator;
import com.socklabs.whoisthat.mvc.model.NoteForm;
import com.socklabs.whoisthat.mvc.model.RegistrationForm;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.WebDataBinder;
import org.springframework.web.bind.annotation.InitBinder;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * The controller used to add/set notes on entities.
 * @author ngerakines
 * @since 2/20/12
 */
@Controller
public class NoteController {

	private final static Logger logger = LoggerFactory.getLogger(NoteController.class);

	@Autowired
	private EntityManager entityManager;

	@InitBinder
	protected void initBinder(WebDataBinder binder) {
		binder.setValidator(new NoteValidator());
	}

	@RequestMapping(value = "/note", method = RequestMethod.POST)
	public String addNote(HttpServletRequest httpServletRequest, Map<String, Object> model, @Validated NoteForm noteForm) {
		String result = entityManager.addMeta(noteForm.getEntity(), "note", noteForm.getBody());
		return "redirect:/dashboard";
	}

}
