package com.socklabs.whoisthat.mvc.controller;

import com.socklabs.whoisthat.mvc.AccountManager;
import com.socklabs.whoisthat.mvc.RegistrationValidator;
import com.socklabs.whoisthat.mvc.model.RegistrationForm;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.password.StandardPasswordEncoder;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.validation.BindingResult;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.WebDataBinder;
import org.springframework.web.bind.annotation.InitBinder;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * Created by IntelliJ IDEA.
 * User: ngerakines
 * Date: 2/19/12
 * Time: 7:36 PM
 * To change this template use File | Settings | File Templates.
 */
// TODO: Fix this, this is totally broken.
@Controller
public class RegistrationController {

	private final Logger logger = LoggerFactory.getLogger(RegistrationController.class);

	@Autowired
	StandardPasswordEncoder encoder;

	@Autowired
	AccountManager accountManager;

	@InitBinder
	protected void initBinder(WebDataBinder binder) {
		binder.setValidator(new RegistrationValidator());
	}

	@RequestMapping(value = "/register", method = RequestMethod.GET)
	public String getRegistrationIndex() {
		return "register";
	}

	@RequestMapping(value = "/register", method = RequestMethod.POST)
	public String submitRegistrationInfo(ModelMap modelMap, @Validated RegistrationForm registrationForm, BindingResult result) {
		if (result.hasErrors()) {
			modelMap.addAttribute("errors", result.getAllErrors());
			return "register";
		}

		accountManager.create(registrationForm.getEmail(), encoder.encode(registrationForm.getPassword()));

		return "redirect:/login";
	}

}
