package com.socklabs.whoisthat.mvc.model;

import org.joda.time.DateTime;

/**
 * Created by IntelliJ IDEA.
 * User: ngerakines
 * Date: 2/19/12
 * Time: 9:02 PM
 * To change this template use File | Settings | File Templates.
 */
public class EntityMeta {
	/* (id varchar(255), entity_id varchar(255), label varchar(255), note clob); */
	private String id;
	private String entityId;
	private String label;
	private String value;
	private DateTime createdAt;

	public EntityMeta(String id, String entityId, String label, String value, DateTime createdAt) {
		this.id = id;
		this.entityId = entityId;
		this.label = label;
		this.value = value;
		this.createdAt = createdAt;
	}

	public String getId() {
		return id;
	}

	public String getEntityId() {
		return entityId;
	}

	public String getLabel() {
		return label;
	}

	public String getValue() {
		return value;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;

		EntityMeta that = (EntityMeta) o;

		if (entityId != null ? !entityId.equals(that.entityId) : that.entityId != null) return false;
		if (id != null ? !id.equals(that.id) : that.id != null) return false;
		if (label != null ? !label.equals(that.label) : that.label != null) return false;
		if (value != null ? !value.equals(that.value) : that.value != null) return false;

		return true;
	}

	@Override
	public int hashCode() {
		int result = id != null ? id.hashCode() : 0;
		result = 31 * result + (entityId != null ? entityId.hashCode() : 0);
		result = 31 * result + (label != null ? label.hashCode() : 0);
		result = 31 * result + (value != null ? value.hashCode() : 0);
		return result;
	}

	@Override
	public String toString() {
		return "EntityMeta{" +
				"id='" + id + '\'' +
				", entityId='" + entityId + '\'' +
				", label='" + label + '\'' +
				", value='" + value + '\'' +
				'}';
	}
}
