package com.socklabs.whoisthat.security;

import com.socklabs.whoisthat.mvc.AccountManager;
import com.socklabs.whoisthat.mvc.model.Account;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.GrantedAuthorityImpl;
import org.springframework.security.core.userdetails.User;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.security.crypto.password.StandardPasswordEncoder;

import java.util.ArrayList;
import java.util.List;

/**
 * A custom user service.
 */
public class UserService implements UserDetailsService {
	@Autowired
	StandardPasswordEncoder encoder;

	@Autowired
	AccountManager accountManager;

	private final List<String> adminEmails = new ArrayList<String>();

	public UserService() {
		adminEmails.add("nick@gerakines.net");
	}

	@Override
	public UserDetails loadUserByUsername(final String username) throws UsernameNotFoundException {
		Account account = accountManager.getByEmail(username);
		return new User(
				account.getEmail(),
				/* encoder.encode(account.getPassword())*/ encoder.encode("password"),
				true,
				true,
				true,
				true,
				getAuthorities(username
		));
	}

	private List<GrantedAuthority> getAuthorities(final String username) {
		final List<GrantedAuthority> authList = new ArrayList<GrantedAuthority>();
		authList.add(new GrantedAuthorityImpl("ROLE_USER"));
		if (adminEmails.contains(username)) {
			authList.add(new GrantedAuthorityImpl("ROLE_ADMIN"));
		}
		return authList;
	}
}
