create table account (email varchar(255), password varchar(255), created_at TIMESTAMP, updated_at TIMESTAMP, last_login_at TIMESTAMP, deleted_at TIMESTAMP);
create unique index AccountEmail on account(email);

create table account_meta(id varchar(255), email varchar(255), label varchar(255), note clob, created_at TIMESTAMP);
create table entity (id varchar(255), account varchar(255), source varchar(255), label varchar(255), created_at TIMESTAMP, updated_at TIMESTAMP, orphaned_at TIMESTAMP, deleted_at TIMESTAMP);
create table entity_meta(id varchar(255), entity_id varchar(255), label varchar(255), note clob, created_at TIMESTAMP);

create table entity_tag(entity_id varchar(255), tag varchar(255), created_at TIMESTAMP);
create unique index EntityTag on entity_tag(entity_id, tag);

create table entity_group(id varchar(255), entity_id varchar(255), created_at TIMESTAMP);
create unique index EntityGroupMemebership on entity_group(id, entity_id);

create table UserConnection (userId varchar(255) not null,
    providerId varchar(255) not null,
    providerUserId varchar(255),
    rank int not null,
    displayName varchar(255),
    profileUrl varchar(512),
    imageUrl varchar(512),
    accessToken varchar(255) not null,
    secret varchar(255),
    refreshToken varchar(255),
    expireTime bigint,
    primary key (userId, providerId, providerUserId));
create unique index UserConnectionRank on UserConnection(userId, providerId, rank);