<#import "utils.ftl" as c />
<#macro connectionLink counts key url label displayEmpty current>
<#if counts[key] &gt; 0 >
<#if current >
<li class="active">${label} (${counts[key]})</li>
<#else>
<li><a href="${url}">${label} (${counts[key]})</a></li>
</#if>
<#else>
<#if displayEmpty>
<li<#if current > class="active"</#if>>${label} (0)</li>
</#if>
</#if>
</#macro>
<@c.page>
<div class="row-fluid">
	<div class="span3">
		<div class="well sidebar-nav">
			<ul class="nav nav-list">
				<li class="nav-header">Connections</li>
				<li <#if dashboardFilter == "all" > class="active"</#if>>All</li>
				<@connectionLink counts 'user' '/dashboard/user' 'User' true dashboardFilter == "user"/>
				<@connectionLink counts 'facebook' '/dashboard/facebook' 'Facebook' false dashboardFilter == "facebook" />
				<@connectionLink counts 'twitter' '/dashboard/twitter' 'Twitter' false dashboardFilter == "twitter" />
				<@connectionLink counts 'github' '/dashboard/github' 'GitHub' false dashboardFilter == "github" />
				<@connectionLink counts 'foursquare' '/dashboard/foursquare' 'FourSquare' false dashboardFilter == "foursquare" />
				<li class="nav-header">Utilities</li>
				<li><a href="/utility/orphans">Orphans</a></li>
				<li><a href="/utility/duplicates">Duplicates</a></li>
				<li><a href="/utility/export">Export</a></li>
				<li><a href="/utility/stats">Stats</a></li>
				<li class="nav-header">Settings</li>
				<li><a href="/connect">Connections</a></li>
			</ul>
		</div>
	</div>
	<div class="span9">
		<#list entities as entity>
		<div class="row-fluid">
			<div class="span9">
				<h3>${entity.getDisplayName()} <small>${entity.getSource()}</small></h3>
				<div class="row">
					<div class="span2">
						<div class="row">
							<div class="span2">
							<div class="btn-group">
								<a class="btn" data-toggle="modal" data-target="#entity${entity_index}" href="#entity${entity_index}">Edit Note</a>
								<a class="btn dropdown-toggle" data-toggle="dropdown" href="#"><span class="caret"></span></a>
								<ul class="dropdown-menu">
									<li><a href="#"><i class="icon-tag"></i> Set Tags</a></li>
									<li><a href="#" data-toggle="modal" data-target="#entityAlias${entity_index}" href="#entityAlias${entity_index}"><i class="icon-plus"></i>Set Alias</a></li>
									<li class="divider"></li>
									<li><a href="#"><i class="icon-trash"></i> Clear / Delete</a></li>
								</ul>
							</div>
						</div>
<#if entity.getGroup()?has_content>
						<div class="row">
							<div class="span2">
								<p>Member of group.</p>
							</div>
						</div>
</#if>
<#if entity.getTags()?has_content>
						<div class="row">
							<div class="span2">
								<p><#list entity.getTags() as tag>${tag}<#if tag_has_next>, </#if></#list></p>
							</div>
						</div>
</#if>
					</div>
				</div>
					<div class="span7">
<#if entity.getNote()??>
						<p>${entity.getNote()}</p>
<#else>
						<p>No note set.</p>
</#if>
					</div>
				</div>
				<div class="modal fade" id="entity${entity_index}">
					<div class="modal-header">
						<a class="close" data-dismiss="modal">×</a>
						<h3>${entity.getDisplayName()}</h3>
					</div>
					<form method="post" action="/note">
						<div class="modal-body">
							<input type="hidden" name="entity" value="${entity.getId()}" />
							<textarea class="input-xlarge" name="body">${entity.getNote()}</textarea>
						</div>
						<div class="modal-footer">
							<button type="submit" class="btn btn-primary">Submit</button>
							<a href="#" class="btn" data-dismiss="modal">Close</a>
						</div>
					</form>
				</div>
				<div class="modal fade" id="entityAlias${entity_index}">
					<div class="modal-header">
						<a class="close" data-dismiss="modal">×</a>
						<h3>${entity.getDisplayName()}</h3>
					</div>
					<form method="post" action="/alias">
						<div class="modal-body">
							<input type="hidden" name="entity" value="${entity.getId()}" />
							<div class="control-group">
								<label class="control-label" for="selectAlias">Select list</label>
								<div class="controls">
									<select id="selectAlias" name="alias">
<#list allEntities as entryTripple>
										<option value="${entryTripple.getValueA()}">${entryTripple.getValueB()} (${entryTripple.getValueC()})</option>
</#list>
									</select>
								</div>
							</div>
						</div>
						<div class="modal-footer">
							<button type="submit" class="btn btn-primary">Submit</button>
							<a href="#" class="btn" data-dismiss="modal">Close</a>
						</div>
					</form>
                </div>
			</div>
		</div>
		</#list>
		<div class="row-fluid">
			<div class="span9">
				<div style="padding: 10px;">
				<ul class="pager">
					<li class="previous"><a href="/dashboard?offset=${lastPage}">&larr; Previous</a></li>
					<li class="next"><a href="/dashboard?offset=${nextPage}">Next &rarr;</a></li>
				</ul>
				</div>
			</div>
		</div>
	</div>
</div>
</@c.page>