<#ftl strip_whitespace=true />
<#import "/spring.ftl" as spring />
<#assign staticPath="/static" in c />
<#assign doctype in c>
	<!DOCTYPE html>
</#assign>
<#function getAbsoluteUrl fragment="">
	<#return fragment />
</#function>
<#macro page title="" css=[] js=[]>
	<#-- Maintain project title through sub-pages. -->
	<#if title?has_content>
		<#local title = title + " - Who Is That?" />
	<#else>
		<#local title = "Welcome to Who Is That?" />
	</#if>
    <#compress>
	${c.doctype}
	<html lang="en">
	<head>
	    <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="">
        <meta name="author" content="">
		<title>${title}</title>
		<#-- Put stylesheets in the <head/> to enable progressive rendering. -->
		<@c.stylesheets css=css />
		<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
        <!--[if lt IE 9]>
        <script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->
		<#-- Break out from any third-party frames. -->
		<script>if (top.location !== location) { top.location.href = document.location.href; }</script>
	</head>
	<body>
		</#compress>


    <div class="navbar navbar-fixed-top">
      <div class="navbar-inner">
        <div class="container-fluid">
          <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </a>
          <a class="brand" href="/"><@spring.messageText "welcome", "Welcome!"/></a>
          <div class="nav-collapse">
            <ul class="nav">
              <li class="active"><a href="/">Home</a></li>
              <li><a href="/about">About</a></li>
              <li><a href="/dashboard">Dashboard</a></li>
            </ul>
            <!-- <p class="navbar-text pull-right">Logged in as <a href="#">username</a></p> -->
          </div><!--/.nav-collapse -->
        </div>
      </div>
    </div>

    <div class="container-fluid">
    <#nested />
      <hr>

      <footer>
        <p>&copy; Nick Gerakines 2012 - <a href="https://github.com/ngerakines/whoisthat">https://github.com/ngerakines/whoisthat</a></p>
      </footer>

    </div><!--/.fluid-container-->
		<#compress>
		<@c.scripts js=js />
	</body>
	</html>
	</#compress>
</#macro>
<#macro stylesheets css=[]>
    <!-- Le styles -->
    <link href="/static/bootstrap/css/bootstrap.css" rel="stylesheet">
    <style type="text/css">
      body {
        padding-top: 60px;
        padding-bottom: 40px;
      }
      .sidebar-nav {
        padding: 9px 0;
      }
    </style>
    <link href="/static/bootstrap/css/bootstrap-responsive.css" rel="stylesheet">
</#macro>
<#macro scripts js=[]>
    <script src="/static/bootstrap/js/jquery.js"></script>
    <script src="/static/bootstrap/js/bootstrap.js"></script>
<!--
    <script src="/static/bootstrap/js/bootstrap-transition.js"></script>
    <script src="/static/bootstrap/js/bootstrap-alert.js"></script>
    <script src="/static/bootstrap/js/bootstrap-modal.js"></script>
    <script src="/static/bootstrap/js/bootstrap-dropdown.js"></script>
    <script src="/static/bootstrap/js/bootstrap-scrollspy.js"></script>
    <script src="/static/bootstrap/js/bootstrap-tab.js"></script>
    <script src="/static/bootstrap/js/bootstrap-tooltip.js"></script>
    <script src="/static/bootstrap/js/bootstrap-popover.js"></script>
    <script src="/static/bootstrap/js/bootstrap-button.js"></script>
    <script src="/static/bootstrap/js/bootstrap-collapse.js"></script>
    <script src="/static/bootstrap/js/bootstrap-carousel.js"></script>
    <script src="/static/bootstrap/js/bootstrap-typeahead.js"></script>
-->
</#macro>